<div class="col-6 offset-1 my-5" @Fading>
  <h3>{{pageTitle}}</h3>

  <form #albumAddForm="ngForm" (ngSubmit)="onSubmit(albumAddForm)" *ngIf="album">
    <div class="form-group">
      <label for="title">Título</label>
      <input type="text" id="title" name="title" #title="ngModel" [(ngModel)]="album.title" class="form-control"
        required>
      <small class="invalid-feedback d-block" *ngIf="title.invalid && title.touched">El título del álbum es
        necesario</small>
    </div>
    <div class="form-group">
      <label for="year">Año</label>
      <input type="number" name="year" id="year" #year="ngModel" [(ngModel)]="album.year" class="form-control">
    </div>
    <div class="form-group">
      <label for="description">Descripción</label>
      <textarea name="description" id="description" cols="30" #description="ngModel" [(ngModel)]="album.description"
        rows="4" placeholder="Descripción del álbum" class="form-control">
    </textarea>
    </div>
    <div class="form-group" *ngIf="is_edit">
      <label for="image">Imagen álbum</label>
      <div>
        <img src="{{url + 'album/get-image/' + album._id }}" *ngIf="album.image && album.image!=null" class="image_album" id="image">
      </div>
      <input type="file" id="image" class="form-control" (change)="onChangeImage($event)">
    </div>
    <div class="form-group">
      <button type="submit" class="btn btn-primary" [disabled]="albumAddForm.form.invalid">{{pageTitle}}</button>
    </div>
  </form>
  <div class="alert" [ngClass]="status==true ? 'alert-success' : 'alert-danger'" *ngIf="message">{{message}}</div>
</div>